commit:     9890b799a702b991355b2731e747e32c8bb492cd
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 17 21:53:08 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 21:53:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9890b799

sys-auth/keystone: VICTORIA

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 sys-auth/keystone/Manifest                    |   2 +
 sys-auth/keystone/keystone-18.0.0.ebuild      | 156 ++++++++++++++++++++++++++
 sys-auth/keystone/keystone-2020.2.9999.ebuild | 156 ++++++++++++++++++++++++++
 3 files changed, 314 insertions(+)

diff --git a/sys-auth/keystone/Manifest b/sys-auth/keystone/Manifest
index b847d457327..c43b020ccd3 100644
--- a/sys-auth/keystone/Manifest
+++ b/sys-auth/keystone/Manifest
@@ -1,4 +1,6 @@
 DIST keystone-17.0.0.tar.gz 1607717 BLAKE2B 
d59ccc651fa5363442ad6c1f3b2f2c2f6393468502e41d3aca7a9f4bd1d27fb558101ed37d051dcf7cdd77edb04df5ec1a739346dd889a5c873a607383897d25
 SHA512 
9d52a49fdcf1e891ae936ca221815576985a0f9a252960628dfbed18ca80c3f2af5a6311d7cf7c3d868ff4b02187515702ec297db1b2d49314662c46edf5c080
+DIST keystone-18.0.0.tar.gz 1679326 BLAKE2B 
714df5a1d7c6d601d1743a2dd3bac57c1006aeb9361241edf4205c583b6df6763411c27aa0d420aa94ee2a8cc581678013cc27ae8a97747f903d61fc852afb6e
 SHA512 
48aa9aae46e0f61596222aa37def152cdb48876afb7edc1eadf84ea91c8bd2f6bfd645d64e9bfb82cf9d041d7ae432c34d25e34130b32b4815d9a73cea903ffc
 DIST keystone.conf.sample-17.0.0 105293 BLAKE2B 
f0e685f99ca3b6cdfb9ccd0b41709bd6c51cb4aa79d20fa12773f96cd6ecad730691cf7fb2384b0ab44787d6e2825c5f147310ca19d82a2adb6cd2ab623b52f2
 SHA512 
fc7e7272b1a0f8703fe8ec8f93208573b84a2121b55de919beb05c7bb7dd3542c71983dfdc73b7cb618eb68167e6c6a51aa8384839ae3503c677e17ff030f383
+DIST keystone.conf.sample-18.0.0 107458 BLAKE2B 
c1d826acdd671638fc4542864811bda8baa237cfbf24438fa0cedc12e6f29047178cfb1b837c0aef035410848ce3e473e58b51f0eadee4c61eb75f214c65c35a
 SHA512 
6488a1c3eac0d1376db0950cda65c62ba04dc03d896a6c0465ea09b870e5d077ed5012a84657defb9f63db25ce320c884f72c4083e4a233f18930120194ba73b
 DIST keystone.conf.sample-2020.1.9999 105293 BLAKE2B 
f0e685f99ca3b6cdfb9ccd0b41709bd6c51cb4aa79d20fa12773f96cd6ecad730691cf7fb2384b0ab44787d6e2825c5f147310ca19d82a2adb6cd2ab623b52f2
 SHA512 
fc7e7272b1a0f8703fe8ec8f93208573b84a2121b55de919beb05c7bb7dd3542c71983dfdc73b7cb618eb68167e6c6a51aa8384839ae3503c677e17ff030f383
 DIST keystone.conf.sample-2020.2.9999 105293 BLAKE2B 
f0e685f99ca3b6cdfb9ccd0b41709bd6c51cb4aa79d20fa12773f96cd6ecad730691cf7fb2384b0ab44787d6e2825c5f147310ca19d82a2adb6cd2ab623b52f2
 SHA512 
fc7e7272b1a0f8703fe8ec8f93208573b84a2121b55de919beb05c7bb7dd3542c71983dfdc73b7cb618eb68167e6c6a51aa8384839ae3503c677e17ff030f383

diff --git a/sys-auth/keystone/keystone-18.0.0.ebuild 
b/sys-auth/keystone/keystone-18.0.0.ebuild
new file mode 100644
index 00000000000..875d600dda5
--- /dev/null
+++ b/sys-auth/keystone/keystone-18.0.0.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_7 python3_8 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="The Openstack authentication, authorization, and service catalog"
+HOMEPAGE="https://launchpad.net/keystone";
+if [[ ${PV} == *9999 ]];then
+       inherit git-r3
+       
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/victoria/keystone.conf.sample
 -> keystone.conf.sample-${PV}"
+       EGIT_REPO_URI="https://github.com/openstack/keystone.git";
+       EGIT_BRANCH="stable/victoria"
+else
+       
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/victoria/keystone.conf.sample
 -> keystone.conf.sample-${PV}
+       https://tarballs.openstack.org/${PN}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+sqlite ldap memcached mongo mysql postgres test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+       >=dev-python/flask-1.0.2[${PYTHON_USEDEP}]
+       >=dev-python/flask-restful-0.3.5[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+       sqlite? (
+               >=dev-python/sqlalchemy-1.3.0[sqlite,${PYTHON_USEDEP}]
+       )
+       mysql? (
+               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
+               >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+       )
+       postgres? (
+               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+       )
+       >=dev-python/sqlalchemy-migrate-0.13.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
+       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/keystonemiddleware-7.0.0[${PYTHON_USEDEP}]
+       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-context-2.22.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-db-6.0.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.44.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-policy-3.0.2[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-upgradecheck-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+       >=dev-python/pysaml2-5.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyjwt-1.6.1[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-1.0.2[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+       memcached? (
+               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
+       )
+       mongo? (
+               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
+               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
+       )
+       ldap? (
+               >=dev-python/python-ldap-3.1.0[${PYTHON_USEDEP}]
+               >=dev-python/ldappool-2.3.1[${PYTHON_USEDEP}]
+       )
+       || (
+               www-servers/uwsgi[python,${PYTHON_USEDEP}]
+               www-apache/mod_wsgi[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+       acct-user/keystone
+       acct-group/keystone"
+
+python_prepare_all() {
+       # it's in git, but not in the tarball.....
+       sed -i '/^hacking/d' test-requirements.txt || die
+       mkdir -p ${PN}/tests/tmp/ || die
+       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
+       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
+       # allow useage of renamed msgpack
+       sed -i '/^msgpack/d' requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests -I 'test_keystoneclient*' \
+               -e test_static_translated_string_is_Message \
+               -e test_get_token_id_error_handling \
+               -e test_provider_token_expiration_validation \
+               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       diropts -m 0750
+       keepdir /etc/keystone /var/log/keystone
+       insinto /etc/keystone
+       insopts -m0640 -okeystone -gkeystone
+       newins "${DISTDIR}/keystone.conf.sample-${PV}" keystone.conf.sample
+       doins etc/logging.conf.sample
+       doins etc/default_catalog.templates
+#      doins etc/policy.v3cloudsample.json
+       insinto /etc/keystone/httpd
+       doins httpd/*
+
+       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
+       # stupid python doing stupid things
+       rm -r "${ED}"/usr/etc
+}
+
+pkg_postinst() {
+       elog "You might want to run:"
+       elog "emerge --config =${CATEGORY}/${PF}"
+       elog "if this is a new install."
+       elog "If you have not already configured your openssl installation"
+       elog "please do it by modifying /etc/ssl/openssl.cnf"
+       elog "BEFORE issuing the configuration command."
+       elog "Otherwise default values will be used."
+}
+
+pkg_config() {
+       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
+               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
+               read
+               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
+       else
+               einfo "keystone PKI certificates directory already present, 
skipping configuration"
+       fi
+}

diff --git a/sys-auth/keystone/keystone-2020.2.9999.ebuild 
b/sys-auth/keystone/keystone-2020.2.9999.ebuild
new file mode 100644
index 00000000000..875d600dda5
--- /dev/null
+++ b/sys-auth/keystone/keystone-2020.2.9999.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_7 python3_8 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="The Openstack authentication, authorization, and service catalog"
+HOMEPAGE="https://launchpad.net/keystone";
+if [[ ${PV} == *9999 ]];then
+       inherit git-r3
+       
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/victoria/keystone.conf.sample
 -> keystone.conf.sample-${PV}"
+       EGIT_REPO_URI="https://github.com/openstack/keystone.git";
+       EGIT_BRANCH="stable/victoria"
+else
+       
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/victoria/keystone.conf.sample
 -> keystone.conf.sample-${PV}
+       https://tarballs.openstack.org/${PN}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+sqlite ldap memcached mongo mysql postgres test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+       >=dev-python/flask-1.0.2[${PYTHON_USEDEP}]
+       >=dev-python/flask-restful-0.3.5[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+       sqlite? (
+               >=dev-python/sqlalchemy-1.3.0[sqlite,${PYTHON_USEDEP}]
+       )
+       mysql? (
+               >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
+               >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+       )
+       postgres? (
+               >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+       )
+       >=dev-python/sqlalchemy-migrate-0.13.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
+       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/keystonemiddleware-7.0.0[${PYTHON_USEDEP}]
+       >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+       >=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-context-2.22.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-db-6.0.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.44.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-policy-3.0.2[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-upgradecheck-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+       >=dev-python/pysaml2-5.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyjwt-1.6.1[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-1.0.2[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+       !~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+       memcached? (
+               >=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
+       )
+       mongo? (
+               >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
+               !~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
+       )
+       ldap? (
+               >=dev-python/python-ldap-3.1.0[${PYTHON_USEDEP}]
+               >=dev-python/ldappool-2.3.1[${PYTHON_USEDEP}]
+       )
+       || (
+               www-servers/uwsgi[python,${PYTHON_USEDEP}]
+               www-apache/mod_wsgi[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+       acct-user/keystone
+       acct-group/keystone"
+
+python_prepare_all() {
+       # it's in git, but not in the tarball.....
+       sed -i '/^hacking/d' test-requirements.txt || die
+       mkdir -p ${PN}/tests/tmp/ || die
+       sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
+       sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
+       # allow useage of renamed msgpack
+       sed -i '/^msgpack/d' requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests -I 'test_keystoneclient*' \
+               -e test_static_translated_string_is_Message \
+               -e test_get_token_id_error_handling \
+               -e test_provider_token_expiration_validation \
+               -e test_import --process-restartworker --process-timeout=60 || 
die "testsuite failed under python2.7"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       diropts -m 0750
+       keepdir /etc/keystone /var/log/keystone
+       insinto /etc/keystone
+       insopts -m0640 -okeystone -gkeystone
+       newins "${DISTDIR}/keystone.conf.sample-${PV}" keystone.conf.sample
+       doins etc/logging.conf.sample
+       doins etc/default_catalog.templates
+#      doins etc/policy.v3cloudsample.json
+       insinto /etc/keystone/httpd
+       doins httpd/*
+
+       fowners keystone:keystone /etc/keystone /etc/keystone/httpd 
/var/log/keystone
+       # stupid python doing stupid things
+       rm -r "${ED}"/usr/etc
+}
+
+pkg_postinst() {
+       elog "You might want to run:"
+       elog "emerge --config =${CATEGORY}/${PF}"
+       elog "if this is a new install."
+       elog "If you have not already configured your openssl installation"
+       elog "please do it by modifying /etc/ssl/openssl.cnf"
+       elog "BEFORE issuing the configuration command."
+       elog "Otherwise default values will be used."
+}
+
+pkg_config() {
+       if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
+               einfo "Press ENTER to configure the keystone PKI, or Control-C 
to abort now..."
+               read
+               "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user 
keystone --keystone-group keystone
+       else
+               einfo "keystone PKI certificates directory already present, 
skipping configuration"
+       fi
+}

Reply via email to